You need to recompile PHP

主要参考:http://www.cnblogs.com/angelox/archive/2008/10/09/1306732.html(Apache+PHP配置)


特别注意:

   在PHP官网下时,看清楚版本,有的是VC6.0支持的;有的是需要VC2008;

  最重要的是: 下载 thread safe version,即线程安全的版本,否则将出现以下错误 ,无法重启Apache

[crit] Apache is running a threaded MPM, but your PHP Module is not compiled to be threadsafe. You need to recompile PHP. 
Pre-configuration failed" 

另外:在安装Apache时,域名和邮件貌似要一致,开始我用的是自己的二级域名,结果Apache的monitor中按钮

都是灰暗的,无法重启,甚至服务管理中都没有Apache服务,无解~~